# PWAV::FMTChunk Struct Reference

`#include <pwavfile.h>`

List of all members.

## Public Attributes

ChunkHeader | hdr
| chunk header (already packed)
PUInt16l format | P_PACKED
| Format.
PUInt16l numChannels | P_PACKED
| Channels 0x01 = mono, 0x02 = stereo.
PUInt32l sampleRate | P_PACKED
| Sample Rate in Hz.
PUInt32l bytesPerSec | P_PACKED
| Average bytes Per Second.
PUInt16l bytesPerSample | P_PACKED
| Bytes Per Sample, eg 2.
PUInt16l bitsPerSample | P_PACKED
| Bits Per Sample, eg 16.

## Member Data Documentation

ChunkHeader PWAV::FMTChunk::hdr

chunk header (already packed)

PUInt16l bitsPerSample PWAV::FMTChunk::P_PACKED

Bits Per Sample, eg 16.

PUInt16l bytesPerSample PWAV::FMTChunk::P_PACKED

Bytes Per Sample, eg 2.

PUInt32l bytesPerSec PWAV::FMTChunk::P_PACKED

Average bytes Per Second.

PUInt32l sampleRate PWAV::FMTChunk::P_PACKED

Sample Rate in Hz.

PUInt16l numChannels PWAV::FMTChunk::P_PACKED

Channels 0x01 = mono, 0x02 = stereo.

PUInt16l format PWAV::FMTChunk::P_PACKED

Format.

The documentation for this struct was generated from the following file:

- pwavfile.h